curl --request POST \
--url https://api.example.com/talk2data/mcp/execute-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"database": "<string>",
"max_rows": 500
}
'import requests
url = "https://api.example.com/talk2data/mcp/execute-query"
payload = {
"sql": "<string>",
"database": "<string>",
"max_rows": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sql: '<string>', database: '<string>', max_rows: 500})
};
fetch('https://api.example.com/talk2data/mcp/execute-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/talk2data/mcp/execute-query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sql' => '<string>',
'database' => '<string>',
'max_rows' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/talk2data/mcp/execute-query"
payload := strings.NewReader("{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/talk2data/mcp/execute-query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/talk2data/mcp/execute-query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}"
response = http.request(request)
puts response.read_body{
"columns": [
"<string>"
],
"rows": [
{}
],
"row_count": 123,
"truncated": true,
"sql": "<string>"
}Execute Query Endpoint
Execute a read-only SELECT SQL statement against a configured data connection and return the result rows. Typically called after generate_sql; pass the returned rows field directly into generate_plotly_chart to visualise the result.
curl --request POST \
--url https://api.example.com/talk2data/mcp/execute-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "<string>",
"database": "<string>",
"max_rows": 500
}
'import requests
url = "https://api.example.com/talk2data/mcp/execute-query"
payload = {
"sql": "<string>",
"database": "<string>",
"max_rows": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sql: '<string>', database: '<string>', max_rows: 500})
};
fetch('https://api.example.com/talk2data/mcp/execute-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/talk2data/mcp/execute-query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sql' => '<string>',
'database' => '<string>',
'max_rows' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/talk2data/mcp/execute-query"
payload := strings.NewReader("{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/talk2data/mcp/execute-query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/talk2data/mcp/execute-query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sql\": \"<string>\",\n \"database\": \"<string>\",\n \"max_rows\": 500\n}"
response = http.request(request)
puts response.read_body{
"columns": [
"<string>"
],
"rows": [
{}
],
"row_count": 123,
"truncated": true,
"sql": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for synchronous query execution.
SQL query to execute (SELECT only). Identifier-case and quoting rules vary by warehouse and by how each schema was defined (Snowflake folds unquoted to UPPERCASE; Postgres folds unquoted to lowercase; mixed-case-quoted identifiers must be quoted on every reference). LLM-authored SQL frequently fails compilation for this reason. Prefer calling generate-sql first — it has catalog knowledge of the connected schema and emits SQL with correct quoting — then pipe its returned SQL into this endpoint verbatim.
1Resource URI of the data connection (e.g. data:org:project:name)
1Maximum rows to return
1 <= x <= 5000Was this page helpful?

